<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">
<!-- 
    Mapping file autogenerated by MyEclipse Persistence Tools
-->
<hibernate-mapping>
    <class name="ebay.hibernate.DbOrder" table="DB_ORDER">
        <id name="orderid" type="java.lang.String">
            <column name="ORDERID" length="50" />
            <generator class="assigned" />
        </id>
        <property name="corpid" type="java.lang.String">
            <column name="CORPID" length="50" />
        </property>
        <property name="tradeid" type="java.lang.String">
            <column name="TRADEID" length="100" not-null="true" />
        </property>
        <property name="tradetype" type="java.lang.String">
            <column name="TRADETYPE" length="100" />
        </property>
        <property name="groupid" type="java.lang.String">
            <column name="GROUPID" length="500" />
        </property>
        <property name="tradeurl" type="java.lang.String">
            <column name="TRADEURL" length="200" />
        </property>
        <property name="customerid" type="java.lang.String">
            <column name="CUSTOMERID" length="100" not-null="true" />
        </property>
        <property name="customername" type="java.lang.String">
            <column name="CUSTOMERNAME" length="100" />
        </property>
        <property name="customersex" type="java.lang.String">
            <column name="CUSTOMERSEX" length="100" />
        </property>
        <property name="customerage" type="java.lang.String">
            <column name="CUSTOMERAGE" length="100" />
        </property>
        <property name="customerbirthday" type="java.lang.String">
            <column name="CUSTOMERBIRTHDAY" length="100" />
        </property>
        <property name="customerfirstname" type="java.lang.String">
            <column name="CUSTOMERFIRSTNAME" length="100" />
        </property>
        <property name="customerlastname" type="java.lang.String">
            <column name="CUSTOMERLASTNAME" length="100" />
        </property>
        <property name="customertype" type="java.lang.String">
            <column name="CUSTOMERTYPE" length="100" />
        </property>
        <property name="customertel1" type="java.lang.String">
            <column name="CUSTOMERTEL1" length="100" />
        </property>
        <property name="customertel2" type="java.lang.String">
            <column name="CUSTOMERTEL2" length="100" />
        </property>
        <property name="customeremail" type="java.lang.String">
            <column name="CUSTOMEREMAIL" length="100" />
        </property>
        <property name="customerqq" type="java.lang.String">
            <column name="CUSTOMERQQ" length="100" />
        </property>
        <property name="customermsn" type="java.lang.String">
            <column name="CUSTOMERMSN" length="100" />
        </property>
        <property name="customercountry" type="java.lang.String">
            <column name="CUSTOMERCOUNTRY" length="100" />
        </property>
        <property name="customerprovince" type="java.lang.String">
            <column name="CUSTOMERPROVINCE" length="500" />
        </property>
        <property name="customercity" type="java.lang.String">
            <column name="CUSTOMERCITY" length="100" />
        </property>
        <property name="customeraddress" type="java.lang.String">
            <column name="CUSTOMERADDRESS" length="1000" />
        </property>
        <property name="customerzipcode" type="java.lang.String">
            <column name="CUSTOMERZIPCODE" length="100" />
        </property>
        <property name="customerfax" type="java.lang.String">
            <column name="CUSTOMERFAX" length="100" />
        </property>
        <property name="customerreserve1" type="java.lang.String">
            <column name="CUSTOMERRESERVE1" length="100" />
        </property>
        <property name="customerreserve2" type="java.lang.String">
            <column name="CUSTOMERRESERVE2" length="100" />
        </property>
        <property name="customerreserve3" type="java.lang.String">
            <column name="CUSTOMERRESERVE3" length="100" />
        </property>
        <property name="customerreserve4" type="java.lang.String">
            <column name="CUSTOMERRESERVE4" length="100" />
        </property>
        <property name="customerreserve5" type="java.lang.String">
            <column name="CUSTOMERRESERVE5" length="100" />
        </property>
        <property name="customerreserve6" type="java.lang.String">
            <column name="CUSTOMERRESERVE6" length="100" />
        </property>
        <property name="customerreserve7" type="java.lang.String">
            <column name="CUSTOMERRESERVE7" length="100" />
        </property>
        <property name="customerreserve8" type="java.lang.String">
            <column name="CUSTOMERRESERVE8" length="100" />
        </property>
        <property name="customerreserve9" type="java.lang.String">
            <column name="CUSTOMERRESERVE9" length="100" />
        </property>
        <property name="customerreserve10" type="java.lang.String">
            <column name="CUSTOMERRESERVE10" length="100" />
        </property>
        <property name="shoptypeid" type="java.lang.String">
            <column name="SHOPTYPEID" length="100" />
        </property>
        <property name="shoptype" type="java.lang.String">
            <column name="SHOPTYPE" length="100" />
        </property>
        <property name="salesource" type="java.lang.String">
            <column name="SALESOURCE" length="100" />
        </property>
        <property name="moneytype" type="java.lang.String">
            <column name="MONEYTYPE" length="100" />
        </property>
        <property name="moneyask" type="java.lang.Double">
            <column name="MONEYASK" precision="10" scale="4" />
        </property>
        <property name="moneyaction" type="java.lang.Double">
            <column name="MONEYACTION" precision="10" scale="4" />
        </property>
        <property name="moneyexpressask" type="java.lang.Double">
            <column name="MONEYEXPRESSASK" precision="10" scale="4" />
        </property>
        <property name="moneyexpressaction" type="java.lang.Double">
            <column name="MONEYEXPRESSACTION" precision="10" scale="4" />
        </property>
        <property name="moneyorigin1" type="java.lang.Double">
            <column name="MONEYORIGIN1" precision="10" scale="4" />
        </property>
        <property name="moneyorigin2" type="java.lang.Double">
            <column name="MONEYORIGIN2" precision="10" scale="4" />
        </property>
        <property name="moneyorigin3" type="java.lang.Double">
            <column name="MONEYORIGIN3" precision="10" scale="4" />
        </property>
        <property name="moneyorigin4" type="java.lang.Double">
            <column name="MONEYORIGIN4" precision="10" scale="4" />
        </property>
        <property name="ordertime" type="java.util.Date">
            <column name="ORDERTIME" length="7" />
        </property>
        <property name="uploadtime" type="java.util.Date">
            <column name="UPLOADTIME" length="7" />
        </property>
        <property name="paytime" type="java.util.Date">
            <column name="PAYTIME" length="7" />
        </property>
        <property name="expresstime" type="java.util.Date">
            <column name="EXPRESSTIME" length="7" />
        </property>
        <property name="expresstype" type="java.lang.String">
            <column name="EXPRESSTYPE" length="100" />
        </property>
        <property name="expressid" type="java.lang.String">
            <column name="EXPRESSID" length="100" />
        </property>
        <property name="expressunit" type="java.lang.String">
            <column name="EXPRESSUNIT" length="100" />
        </property>
        <property name="expressweight" type="java.lang.Double">
            <column name="EXPRESSWEIGHT" precision="10" />
        </property>
        <property name="payid" type="java.lang.String">
            <column name="PAYID" length="100" />
        </property>
        <property name="payoper" type="java.lang.String">
            <column name="PAYOPER" length="100" />
        </property>
        <property name="expressoper" type="java.lang.String">
            <column name="EXPRESSOPER" length="100" />
        </property>
        <property name="stockoper" type="java.lang.String">
            <column name="STOCKOPER" length="100" />
        </property>
        <property name="oper" type="java.lang.String">
            <column name="OPER" length="50" />
        </property>
        <property name="opertime" type="java.util.Date">
            <column name="OPERTIME" length="7" />
        </property>
        <property name="stype" type="java.lang.String">
            <column name="STYPE" length="100" />
        </property>
        <property name="status" type="java.lang.String">
            <column name="STATUS" length="100" />
        </property>
        <property name="statusdescr" type="java.lang.String">
            <column name="STATUSDESCR" length="500" />
        </property>
        <property name="content" type="java.lang.String">
            <column name="CONTENT" length="2000" />
        </property>
        <property name="descr1" type="java.lang.String">
            <column name="DESCR1" length="2000" />
        </property>
        <property name="descr2" type="java.lang.String">
            <column name="DESCR2" length="2000" />
        </property>
        <property name="descr3" type="java.lang.String">
            <column name="DESCR3" length="2000" />
        </property>
        <property name="delaydays" type="java.lang.Long">
            <column name="DELAYDAYS" precision="4" scale="0" />
        </property>
        <property name="ordertypeid" type="java.lang.String">
            <column name="ORDERTYPEID" length="100" />
        </property>
        <property name="ordertypename" type="java.lang.String">
            <column name="ORDERTYPENAME" length="100" />
        </property>
        <property name="color" type="java.lang.String">
            <column name="COLOR" length="50" />
        </property>
        <property name="alertflag" type="java.lang.String">
            <column name="ALERTFLAG" length="10" />
        </property>
        <property name="reserve1" type="java.lang.String">
            <column name="RESERVE1" length="500" />
        </property>
        <property name="reserve2" type="java.lang.String">
            <column name="RESERVE2" length="500" />
        </property>
        <property name="reserve3" type="java.lang.String">
            <column name="RESERVE3" length="500" />
        </property>
        <property name="reserve4" type="java.lang.String">
            <column name="RESERVE4" length="500" />
        </property>
        <property name="reserve5" type="java.lang.String">
            <column name="RESERVE5" length="500" />
        </property>
        <property name="reserve6" type="java.lang.String">
            <column name="RESERVE6" length="500" />
        </property>
        <property name="reserve7" type="java.lang.String">
            <column name="RESERVE7" length="500" />
        </property>
        <property name="reserve8" type="java.lang.String">
            <column name="RESERVE8" length="500" />
        </property>
        <property name="reserve9" type="java.lang.String">
            <column name="RESERVE9" length="500" />
        </property>
        <property name="reserve10" type="java.lang.String">
            <column name="RESERVE10" length="500" />
        </property>
        <property name="reserve11" type="java.lang.String">
            <column name="RESERVE11" length="500" />
        </property>
        <property name="reserve12" type="java.lang.String">
            <column name="RESERVE12" length="500" />
        </property>
        <property name="reserve13" type="java.lang.String">
            <column name="RESERVE13" length="500" />
        </property>
        <property name="reserve14" type="java.lang.String">
            <column name="RESERVE14" length="500" />
        </property>
        <property name="reserve15" type="java.lang.String">
            <column name="RESERVE15" length="500" />
        </property>
        <property name="reserve16" type="java.lang.String">
            <column name="RESERVE16" length="500" />
        </property>
        <property name="reserve17" type="java.lang.String">
            <column name="RESERVE17" length="500" />
        </property>
        <property name="reserve18" type="java.lang.String">
            <column name="RESERVE18" length="500" />
        </property>
        <property name="reserve19" type="java.lang.String">
            <column name="RESERVE19" length="500" />
        </property>
        <property name="reserve20" type="java.lang.String">
            <column name="RESERVE20" length="500" />
        </property>
        <property name="insurance" type="java.lang.Double">
            <column name="INSURANCE" precision="10" scale="4" />
        </property>
        <property name="notestoyourself" type="java.lang.String">
            <column name="NOTESTOYOURSELF" length="2000" />
        </property>
        <property name="postageservice" type="java.lang.String">
            <column name="POSTAGESERVICE" length="500" />
        </property>
        <property name="packagingid" type="java.lang.String">
            <column name="PACKAGINGID" length="100" />
        </property>
        <property name="packagingname" type="java.lang.String">
            <column name="PACKAGINGNAME" length="100" />
        </property>
        <property name="packagingweight" type="java.lang.Double">
            <column name="PACKAGINGWEIGHT" precision="8" />
        </property>
        <property name="packagingclass" type="java.lang.String">
            <column name="PACKAGINGCLASS" length="400" />
        </property>
        <property name="orderweight" type="java.lang.Double">
            <column name="ORDERWEIGHT" precision="10" />
        </property>
        <property name="expresstypeid" type="java.lang.String">
            <column name="EXPRESSTYPEID" length="100" />
        </property>
        <property name="oper1" type="java.lang.String">
            <column name="OPER1" length="1000" />
        </property>
        <property name="oper2" type="java.lang.String">
            <column name="OPER2" length="1000" />
        </property>
        <property name="storageid" type="java.lang.String">
            <column name="STORAGEID" length="100" />
        </property>
        <property name="locationid" type="java.lang.String">
            <column name="LOCATIONID" length="500" />
        </property>
        <property name="sellnum" type="java.lang.Long">
            <column name="SELLNUM" precision="4" scale="0" />
        </property>
        <property name="ordernum" type="java.lang.Long">
            <column name="ORDERNUM" precision="6" scale="0" />
        </property>
        <property name="location" type="java.lang.String">
            <column name="LOCATION" length="100" />
        </property>
        <property name="storage" type="java.lang.String">
            <column name="STORAGE" length="100" />
        </property>
        <property name="ordersource" type="java.lang.String">
            <column name="ORDERSOURCE" length="50" />
        </property>
        <property name="refundflag" type="java.lang.String">
            <column name="REFUNDFLAG" length="50" />
        </property>
        <property name="refundrmb" type="java.lang.Double">
            <column name="REFUNDRMB" precision="12" scale="4" />
        </property>
        <property name="refundloss" type="java.lang.Double">
            <column name="REFUNDLOSS" precision="12" scale="4" />
        </property>
        <property name="refundoriginal" type="java.lang.Double">
            <column name="REFUNDORIGINAL" precision="12" scale="4" />
        </property>
        <property name="bansendflag" type="java.lang.String">
            <column name="BANSENDFLAG" length="50" />
        </property>
        <property name="slreserve1" type="java.lang.String">
            <column name="SLRESERVE1" length="500" />
        </property>
        <property name="slreserve2" type="java.lang.String">
            <column name="SLRESERVE2" length="500" />
        </property>
        <property name="slreserve3" type="java.lang.String">
            <column name="SLRESERVE3" length="500" />
        </property>
        <property name="slreserve4" type="java.lang.String">
            <column name="SLRESERVE4" length="500" />
        </property>
        <property name="slreserve5" type="java.lang.Double">
            <column name="SLRESERVE5" precision="12" scale="4" />
        </property>
        <property name="slreserve6" type="java.lang.Double">
            <column name="SLRESERVE6" precision="12" scale="4" />
        </property>
        <property name="slreserve7" type="java.lang.Double">
            <column name="SLRESERVE7" precision="12" scale="4" />
        </property>
        <property name="slreserve8" type="java.lang.Long">
            <column name="SLRESERVE8" precision="10" scale="0" />
        </property>
        <property name="slreserve9" type="java.lang.Long">
            <column name="SLRESERVE9" precision="10" scale="0" />
        </property>
        <property name="slreserve10" type="java.lang.Long">
            <column name="SLRESERVE10" precision="10" scale="0" />
        </property>
        <property name="xbreserve1" type="java.lang.String">
            <column name="XBRESERVE1" length="500" />
        </property>
        <property name="xbreserve2" type="java.lang.String">
            <column name="XBRESERVE2" length="500" />
        </property>
        <property name="xbreserve3" type="java.lang.String">
            <column name="XBRESERVE3" length="500" />
        </property>
        <property name="xbreserve4" type="java.lang.String">
            <column name="XBRESERVE4" length="500" />
        </property>
        <property name="xbreserve5" type="java.lang.Double">
            <column name="XBRESERVE5" precision="12" scale="4" />
        </property>
        <property name="xbreserve6" type="java.lang.Double">
            <column name="XBRESERVE6" precision="12" scale="4" />
        </property>
        <property name="xbreserve7" type="java.lang.Long">
            <column name="XBRESERVE7" precision="10" scale="0" />
        </property>
        <property name="xbreserve8" type="java.lang.Long">
            <column name="XBRESERVE8" precision="10" scale="0" />
        </property>
        <property name="qlreserve1" type="java.lang.String">
            <column name="QLRESERVE1" length="500" />
        </property>
        <property name="qlreserve2" type="java.lang.String">
            <column name="QLRESERVE2" length="500" />
        </property>
        <property name="qlreserve3" type="java.lang.String">
            <column name="QLRESERVE3" length="500" />
        </property>
        <property name="qlreserve4" type="java.lang.String">
            <column name="QLRESERVE4" length="500" />
        </property>
        <property name="qlreserve5" type="java.lang.Double">
            <column name="QLRESERVE5" precision="12" scale="4" />
        </property>
        <property name="qlreserve6" type="java.lang.Double">
            <column name="QLRESERVE6" precision="12" scale="4" />
        </property>
        <property name="qlreserve7" type="java.lang.Long">
            <column name="QLRESERVE7" precision="10" scale="0" />
        </property>
        <property name="qlreserve8" type="java.lang.Long">
            <column name="QLRESERVE8" precision="10" scale="0" />
        </property>
        <property name="moneyrate" type="java.lang.Double">
            <column name="MONEYRATE" precision="6" />
        </property>
        <property name="originordermoney" type="java.lang.Double">
            <column name="ORIGINORDERMONEY" precision="12" scale="4" />
        </property>
        <property name="originexpressmoney" type="java.lang.Double">
            <column name="ORIGINEXPRESSMONEY" precision="12" scale="4" />
        </property>
        <property name="origininsurance" type="java.lang.Double">
            <column name="ORIGININSURANCE" precision="12" scale="4" />
        </property>
        <property name="originfinalvaluefee" type="java.lang.Double">
            <column name="ORIGINFINALVALUEFEE" precision="12" scale="4" />
        </property>
        <property name="actionorderweight" type="java.lang.Double">
            <column name="ACTIONORDERWEIGHT" precision="12" scale="4" />
        </property>
        <property name="finalvaluefee" type="java.lang.Double">
            <column name="FINALVALUEFEE" precision="12" scale="4" />
        </property>
        <property name="ordermoney" type="java.lang.Double">
            <column name="ORDERMONEY" precision="12" scale="4" />
        </property>
        <property name="xbtime1" type="java.util.Date">
            <column name="XBTIME1" length="7" />
        </property>
        <property name="xbtime2" type="java.util.Date">
            <column name="XBTIME2" length="7" />
        </property>
        <property name="xbtime3" type="java.util.Date">
            <column name="XBTIME3" length="7" />
        </property>
        <property name="calculateflag" type="java.lang.String">
            <column name="CALCULATEFLAG" length="10" />
        </property>
        <property name="basemoney" type="java.lang.Double">
            <column name="BASEMONEY" precision="10" scale="4" />
        </property>
        <property name="baseweight" type="java.lang.Double">
            <column name="BASEWEIGHT" precision="10" scale="4" />
        </property>
        <property name="unitmoney" type="java.lang.Double">
            <column name="UNITMONEY" precision="10" scale="4" />
        </property>
        <property name="fixedmoney1" type="java.lang.Double">
            <column name="FIXEDMONEY1" precision="11" scale="4" />
        </property>
        <property name="fixedmoney2" type="java.lang.Double">
            <column name="FIXEDMONEY2" precision="11" scale="4" />
        </property>
        <property name="unitweight" type="java.lang.Double">
            <column name="UNITWEIGHT" precision="10" scale="4" />
        </property>
        <property name="paypacountry" type="java.lang.String">
            <column name="PAYPACOUNTRY" length="1000" />
        </property>
        <property name="paypalstatus" type="java.lang.String">
            <column name="PAYPALSTATUS" length="400" />
        </property>
        <property name="paypalfeeamount" type="java.lang.Double">
            <column name="PAYPALFEEAMOUNT" precision="10" scale="4" />
        </property>
        <property name="paypalgrossamount" type="java.lang.Double">
            <column name="PAYPALGROSSAMOUNT" precision="10" scale="4" />
        </property>
        <property name="paypalnetamount" type="java.lang.Double">
            <column name="PAYPALNETAMOUNT" precision="10" scale="4" />
        </property>
        <property name="paypalstreet" type="java.lang.String">
            <column name="PAYPALSTREET" length="1000" />
        </property>
        <property name="paypalstreet1" type="java.lang.String">
            <column name="PAYPALSTREET1" length="1000" />
        </property>
        <property name="paypalstreet2" type="java.lang.String">
            <column name="PAYPALSTREET2" length="1000" />
        </property>
        <property name="paypalcity" type="java.lang.String">
            <column name="PAYPALCITY" length="1000" />
        </property>
        <property name="paypalprovince" type="java.lang.String">
            <column name="PAYPALPROVINCE" length="1000" />
        </property>
        <property name="ebaycustomeraddress" type="java.lang.String">
            <column name="EBAYCUSTOMERADDRESS" length="4000" />
        </property>
        <property name="paypalcustomeraddress" type="java.lang.String">
            <column name="PAYPALCUSTOMERADDRESS" length="4000" />
        </property>
        <property name="paypalflag" type="java.lang.String">
            <column name="PAYPALFLAG" length="10" />
        </property>
        <property name="paypalpostcode" type="java.lang.String">
            <column name="PAYPALPOSTCODE" length="50" />
        </property>
        <property name="paypaltel" type="java.lang.String">
            <column name="PAYPALTEL" length="50" />
        </property>
        <property name="originpaypalfeeamount" type="java.lang.Double">
            <column name="ORIGINPAYPALFEEAMOUNT" precision="10" scale="4" />
        </property>
        <property name="originpaypalgrossamount" type="java.lang.Double">
            <column name="ORIGINPAYPALGROSSAMOUNT" precision="10" scale="4" />
        </property>
        <property name="originpaypalnetamount" type="java.lang.Double">
            <column name="ORIGINPAYPALNETAMOUNT" precision="10" scale="4" />
        </property>
        <property name="paypalemail" type="java.lang.String">
            <column name="PAYPALEMAIL" length="50" />
        </property>
        <property name="paypaloper" type="java.lang.String">
            <column name="PAYPALOPER" length="50" />
        </property>
        <property name="packagingfee" type="java.lang.Double">
            <column name="PACKAGINGFEE" precision="8" scale="4" />
        </property>
        <property name="printtime" type="java.util.Date">
            <column name="PRINTTIME" length="7" />
        </property>
        <property name="creatordertime" type="java.util.Date">
            <column name="CREATORDERTIME" length="7" />
        </property>
        <property name="paypaldispute" type="java.lang.String">
            <column name="PAYPALDISPUTE" length="100" />
        </property>
        <property name="ebaydispute" type="java.lang.String">
            <column name="EBAYDISPUTE" length="100" />
        </property>
        <property name="originsku" type="java.lang.String">
            <column name="ORIGINSKU" length="3000" />
        </property>
    </class>
</hibernate-mapping>
